KDE 4.2 PyKDE API Reference

- KDE's Python API

# Soprano.Vocabulary.RDFS Namespace Reference

`from PyKDE4.soprano.Soprano.Vocabulary.RDFS import *`

## Detailed Description

## Functions

QUrl | Class ()
QUrl | Container ()
QUrl | ContainerMembershipProperty ()
QUrl | Datatype ()
QUrl | Literal ()
QUrl | Resource ()
QUrl | comment ()
QUrl | domain ()
QUrl | isDefinedBy ()
QUrl | label ()
QUrl | member ()
QUrl | range ()
QUrl | rdfsNamespace ()
QUrl | seeAlso ()
QUrl | subClassOf ()
QUrl | subPropertyOf ()

## Function Documentation

QUrl Class | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#Class

The class of classes.

QUrl Container | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#Container

The class of RDF containers.

QUrl ContainerMembershipProperty | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#ContainerMembershipProperty

The class of container membership properties, rdf:_1, rdf:_2, ..., all of which are sub-properties of 'member'.

QUrl Datatype | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#Datatype

The class of RDF datatypes.

QUrl Literal | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#Literal

The class of literal values, eg. textual strings and integers.

QUrl Resource | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#Resource

The class resource, everything.

QUrl comment | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#comment

A description of the subject resource.

QUrl domain | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#domain

A domain of the subject property.

QUrl isDefinedBy | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#isDefinedBy

The defininition of the subject resource.

QUrl label | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#label

A human-readable name for the subject.

QUrl member | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#member

A member of the subject resource.

QUrl range | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#range

A range of the subject property.

QUrl rdfsNamespace | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#

QUrl seeAlso | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#seeAlso

Further information about the subject resource.

QUrl subClassOf | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#subClassOf

The subject is a subclass of a class.

QUrl subPropertyOf | ( |  | self ) |

http://www.w3.org/2000/01/rdf-schema#subPropertyOf

The subject is a subproperty of a property.